<template>
  <el-row :gutter="20">
    <el-col>
      <p class="title">Риски</p>
    </el-col>
    <el-col class="defaultForeachItem" v-for="item in info" v-bind:key="item.id">
      <el-row :gutter="20">
        <el-col :sm="{span: 12}">
          <p class="defaultText">
          <span>
            <span class="label">Уровень риска</span>
            {{ item.risk.name }}
          </span>
          </p>
        </el-col>
        <el-col :sm="{span: 12}">
          <p class="defaultText">
          <span>
            <span class="label">Дата обновления</span>
            {{ dateFormat(item.updated_at) }}
          </span>
          </p>
        </el-col>
        <el-col>
          <p class="defaultText">
          <span>
            <span class="label">Комментарий</span>
            {{ item.comment }}
          </span>
          </p>
        </el-col>
      </el-row>
    </el-col>
  </el-row>
</template>

<script>
import moment from "moment";

export default {
  props:{
    info:[Object, Array],
  },
  methods:{
    dateFormat(data){
      if(data !== ''){
        return moment(data).format('DD.MM.YYYY')
      }else{
        return '-'
      }
    },
  }
}
</script>